AutoCAD Inventor :: Suppress Certain Pattern Occurrence In ILogic
Feb 22, 2013How do you suppress a certain pattern occurence in Ilogic?
View 6 RepliesHow do you suppress a certain pattern occurence in Ilogic?
View 6 RepliesIs it possible to suppress an occurrence of a pattern in part environment using iLogic? I saw something for assembly environment, but I can't make it work for part. My iLogic knowledge is quite basic.
View 1 Replies View RelatedI have set iLogic to change a rectangular pattern to a certain amount of occurrences depending on which is selected , i.e. 117 cavities, 140 cavities and 96 cavities. Only one is active (or unsuppressed ) at a time.
What I need to do is suppress the 4 corners of each pattern, considering there's only one pattern and is dynamic.
I need to be able to suppress individual elements of a circular pattern so I can retain the angular orientation while being able to reduce the number of instances. I have found how to suppress the entire circular pattern, but can't seem to get the right terminology to access the elements one at a time.
The code I have to suppress the entire pattern is Feature.InventorFeature("Circular Pattern").Suppressed = True.
how to suppress a pattern in *.iam by ilogic?
I used ilogic to suppress the main components, but the rest are not suppressed.
For example, I have component "A" and make it a pattern (Colum and Row are variable). How to use ilogic to suppress rest not just "A".
Autodesk Inventor Professional 2013 (64 Bit) SP2
Windows 7 Professional Service Pack 1
Intel(R) Xeon(R) CPU E5645
12.0 GB Memory
I'm trying to use ilogic to suppress some individual elements of a pattern but i couldn't find any command that can target component pattern elements. When i try to capture its current state with the right click menu it does nothing.
I can of course suppress the part within the element but then it doesn't update the BOM.
I need to suppress a pattern in an 2nd level subassembly. But is only able to do it in the same level where the pattern is placed etc:
If Length < 3000 mm Then
Component.IsActive("1 st level subassembly", "Name of pattern in 1nd level subassembly") = False
End If
But if i do it with an MakePath... etc.:
If Length < 3000 mm Then
Component.IsActive(MakePath("1 st level subassembly", "2 nd level subassembly", "Name of pattern in 2nd level subassembly")) = False
End If
If Length < 3000 mm Then
Component.IsActive(MakePath("1 st level subassembly", "2 nd level subassembly"), "Name of pattern in 2nd level subassembly") = False
End If
is it not possible to suppress a pattern by an MakePath?
How can I make a circular pattern of a single occurence of a rectangular pattern?
A shaft has a rectangular pattern of holes (along its axis) on its surface. I want to pattern the 4th occurence of this hole pattern as a circular pattern? Can I do it in Autodesk. I can not select the a specific occurance of a patterned feature to pattern it again.
I have a simple code below trying to iterate through all the assembly component and copy the iProperties > Occurrece Name (i.e. "Part1:1") and paste it to iProperties > Project tab > Part Number field for each individual part in assembly.
' set a reference to the assembly component definintion.
' This assumes an assembly document is open.
Dim oAsmCompDef As AssemblyComponentDefinition
oAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition
'Iterate through all of the occurrences
Dim oOccurrence As ComponentOccurrence
For Each oOccurrence In oAsmCompDef.Occurrences
Dim oName As String
oName = oOccurrence.Name
iProperties.Value(oOccurrence.Name, "Project", "Part Number") = oName
MessageBox.Show(oOccurrence.Name, "iLogic")
Next
The Debug message shows the correct output for every iteration, but when I check each part's properties they all have the Occurrence Name of the last part in the aseembly.
We are using Inventor 2011 and I would like to make a small app that allows my users to graphically select one or more occurrences of a rectangular pattern feature Then allow them to suppress them if desired.
I have determined the code to loop through the pattern occurrences and toggle suppression for any instance. What I do not know how to do is determine which occurrences have been graphically selected.
At this time I am only concerned with round hole features. (Perforated metal)
I downloaded a model off a website, it is, (excuse my electrical background ignorance) a jumper for terminal blocks.Our electricians use these and cut them down to size as needed.
Is there a way to use iLogic and a form or message box, to prompt upon opening the part as to how many jumpers are needed for the current assembly> It comes stock with 10, but they sometimes only use 2, 3 4 etc. etc..
I didn't model the part, but I can if it will make the rule easier to write.My idea I suppose was to have the part modeled with 2 jumpers and then use ilogic to create more if necessary.
Is there a way to put a bunch of imates under one line code?
I have imate iInsert:1 thru iInsert:49 I need them all suppressed when an event happens.
I can get it to work one by one but that would be a lot of code.
Tried a few other thing but seems not to work.
2012 Factory Design Suite ( will not load 2013)
I have a rectangular component pattern which started out with all components. As more structure was added around it I started supressing different elements to suit, now a piece of structure has gone thru element 1 but i dont seem to be able to supress it... is there an easy way to get rid of element 1 without having to redefine the pattern? (redefining causes me other problems)
View 4 Replies View RelatedIf I have a RectangularPattern how do I suppress individual features in the pattern.
For example I have a single row of holes, and I want to suppress the odd numbered holes.
I've tried this...
CComPtr<FeaturePatternElements> pFeaturePatternElements ;
pRectPatFeat->get_PatternElements (&pFeaturePatternElements) ;
const int ikNumElements = pFeaturePatternElements->GetCount() ;
wprintf (L" this has %d FeaturePatternElements
[Code]....
... but it crashes at the assignment of Suppressed
Lets say you have 100 Keps Nuts in an assembly. Named (KepsNut1,KepsNut2, etc)And you want to suppress them on and off.
Would there be a way to make an array 1-100 and just say suppress/unsupress "KepsNut" & array list of numbers.To basically add the two strings and find all the components in that array and turn them off or on.!
I am trying to suppress part that are labeled as "Reference" on the BOM Strutcture and I can't get the program to cycle through the subassemblies. The following code runs through all the components on the top-level assembly but I can't get it to cycle through the subassemblies.
oCompDef = ThisDoc.Document.ComponentDefinitionoAssemblyComponents = oCompDef.OccurrencesDim oOccurrence As ComponentOccurrenceDim oSubOccurrence1 As ComponentOccurrenceFor Each oOccurrence In oAssemblyComponents If (oOccurrence.BOMStructure = BOMStructureEnum.kReferenceBOMStructure) Then Component.IsActive(oOccurrence.Name) = False Else Component.IsActive(oOccurrence.Name) = True End IfNext
in addition to this question
[URL]......
What is the code for hiding different Solid Bodies:
with the User Parameter type, I want to select a certain type of Shackle and suppress / hide the other Solid Bodies.
I have a couple of dozen features in my part, of which only one will be active at any time. The feature tree may be subject to additions, so I am looking for an ilogic rule that will first suppress all of the features in the part, and then switch on the specific feature I require (using a parameter). Any code to suppress ALL features?
View 9 Replies View RelatedI'm using I-logic to suppress components in an assembly. I've attached a screenshot with 3 suppressed components.
In the browser the parts are suppressed but in the BOM (items 6,7,9) they are not. Is there a piece of code for this?
Basically I want to place parts and have them automatically connect to each other based on pre-existing UCSs on the assemblies. I have a 'ucs_in' and a 'ucs_out' on each assembly. I want the inserted component to perform a transformation to make the new occurrence's ucs_in to "mate" to the previous occurrences ucs_out. By mate I mean their center points are at the same location and all axes are pointing in the same direction. I have included screenshots to show what I'm working with and what I am trying to accomplish. I have also attached the project files.
Below is my attempt at the code to do this. My experience with transformations is limited so I may be way off from where I need to be.
Sub UcsMate() Dim doc As AssemblyDocument Set doc = ThisApplication.ActiveDocument 'assuming both occurrences are already in the assembly and both have 2 UCS, "ucs_in" and "ucs_out" Dim occ1 As ComponentOccurrence Dim
[Code]....
From a main assembly I am trying to change the visibility of occurence that are in a sub assembly. But everytime I change the visibility using the designviewrepresentation.setvisibilityofoccurrences(), that change the visibility of those occurrences in the other sub-assembly. Of course, if I do it thought the interface that works great. Anyone did something with changing visibility of sub component.
View 1 Replies View RelatedI have a pattern of holes (exactly 3) on an object and when the object height changes so does the pattern base on height. My issue is that i need to create a rule or code that ensures that apart from the first hole (which is fixed), the remaining two holes are at a location that is divisible by 6. The reason being that this is a sheet metal part and our punch press has a template for aligning punches at every 6 IN.
We are using iLogic to automate some of our designs and the code is needed to eliminate having to worry if the punches are at the correct location for faster production.
I've noticed that one can turn off the visibility of an entire component pattern by manually right-clicking the pattern in the browser and unchecking "Visibility". However, when one tries to automate this process with the following code, only the first element of the pattern is made invisible.
Component.InventorComponent("Pattern1").Visible = False
Is there a better way to do this, or will I be forced to develop a "workaround" like first changing the number of elements to 1?
I've been desperately trying to find a way to "turn off" unneeded assembly components without iAssemblies or LOD's, but Inventor always finds a way to stop me. This workflow of turning off visibility and setting BOM status to "Reference" would work if only I can make patterns invisible, also.
I attached the iLogic code which is automatically creating dwg drawing (script borrowed from one of the discussion group users), also it creates 4 views. I`m just wondering how to add flat pattern ?
View 7 Replies View RelatedChange pattern ilogic. How do you change the distance and quantity in an assembly with ilogic?
It is simple in a part but in an assembly the parameters and equations do show.
I have a pattern of reference components, but the quantity of the pattern can change based on certain criteria. When the quantity increases or decreases, I need each pattern element to have its BOM structure set to reference.
The problem is, even if the original pattern element is set to reference, each subsequent element comes in as normal. This causes the BOM quantities for that component to be reported incorrectly in higher assemblies.
Is there some iLogic or VBA code that will automatically set each component in a pattern to BOM structure "Reference", even if the pattern quantity changes?
How to modify the code below to delete suppressed parts in a pattern (entire pattern)?
Dim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesoComps = ThisDoc.Document.ComponentDefinition.OccurrencesFor Each oComp In oCompsIf Component.IsActive(oComp.Name) = False Then oComp.DeleteNext
Code works fine if there are single instances of the part. It throws a error when you have a suppressed pattern.
I made a flanged connection using I logic. Very simple Tube + Flange + Gasket + Blind flange + Bolting.Then I tried to write some ilogic rule to have Blind flange on / off when needed, hence the Gasket & Bolting also need to be off. Like in these images:
That works fine visually, but I also want the BOM to be set accordingly. For the Blind flange & Gasket my BOM is OK. But for my bolting the BOM is not OK. I tried to set the BOM structure the same way as the visibility but that failed. It only subtracted 1 bolt from my list (see code)
If Blindflange_status = 0 Then 'Bolting offComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kReferenceBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = FalseElse 'Bolting onComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kDefaultBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = TrueEnd If
Is there a way to set all parts within a pattern BOM structure? I made my bolting by adding 1 bolt, 1 washer & 1 nut and then pattern them using feature pattern select.
Inventor 2013
Since I used Autodesk Inventor 2013 last year, I had an question about numbering en renumbering the count of elements in patterns.
I had an assembly with iLogic for placing and replacing elements, suppressing parts and edit dimensions of parts in 1 assembly. Sometimes, 1 suppressed pattern must be un-suppressed. Before doing this, I would like to set the pattern count and distances between pattern elements in the pattern. How can I do it by using iLogic?
Any way to change the Orientation of a circular pattern with iLogic?
View 1 Replies View RelatedI made a flanged connection using I logic. Very simple Tube + Flange + Gasket + Blind flange + Bolting.
Then I tried to write some ilogic rule to have Blind flange on / off when needed, hence the Gasket & Bolting also need to be off. Like in these images:
That works fine visually, but I also want the BOM to be set accordingly. For the Blind flange & Gasket my BOM is OK. But for my bolting the BOM is not OK.
I tried to set the BOM structure the same way as the visibility but that failed. It only subtracted 1 bolt from my list (see code)
If Blindflange_status = 0 Then 'Bolting offComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kReferenceBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = FalseElse 'Bolting onComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kDefaultBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = TrueEnd If
Is there a way to set all parts within a pattern BOM structure?
I made my bolting by adding 1 bolt, 1 washer & 1 nut and then pattern them using feature pattern select. Inventor 2013